Index: PackageKit-0.3.11/data/Makefile.am
===================================================================
--- PackageKit-0.3.11.orig/data/Makefile.am
+++ PackageKit-0.3.11/data/Makefile.am
@@ -13,12 +13,6 @@ pkgconfig_DATA = 					\
 	packagekit-qt.pc				\
 	$(NULL)
 
-cronfiledir = ${SYSCONFDIR}/cron.daily
-cronfile_SCRIPTS = packagekit-background.cron
-
-crondatadir = ${SYSCONFDIR}/sysconfig
-crondata_SCRIPTS = packagekit-background
-
 pmutilsdir = $(libdir)/pm-utils/sleep.d
 pmutils_DATA = 95packagekit
 
@@ -42,8 +36,6 @@ mime_DATA = $(mime_in_files:.xml.in=.xml
 dbusdir = ${SYSCONFDIR}/dbus-1/system.d
 dist_dbus_DATA = 					\
 	org.freedesktop.PackageKit.conf			\
-	org.freedesktop.PackageKitTestBackend.conf	\
-	org.freedesktop.PackageKitAptBackend.conf	\
 	$(NULL)
 
 servicemaindir       = $(DBUS_SERVICES_DIR)
@@ -52,18 +44,6 @@ servicemain_DATA     = $(servicemain_in_
 $(servicemain_DATA): $(servicemain_in_files) Makefile
 	@sed -e "s|\@servicedir\@|$(sbindir)|" -e "s|\@PACKAGEKIT_USER\@|$(PACKAGEKIT_USER)|" $< > $@
 
-servicetestdir       = $(DBUS_SERVICES_DIR)
-servicetest_in_files = org.freedesktop.PackageKitTestBackend.service.in
-servicetest_DATA     = $(servicetest_in_files:.service.in=.service)
-$(servicetest_DATA): $(servicetest_in_files) Makefile
-	@sed -e "s|\@servicedir\@|$(libexecdir)|" -e "s|\@PK_BACKEND_USER\@|$(PK_BACKEND_USER)|" $< > $@
-
-serviceaptdir       = $(DBUS_SERVICES_DIR)
-serviceapt_in_files = org.freedesktop.PackageKitAptBackend.service.in
-serviceapt_DATA     = $(serviceapt_in_files:.service.in=.service)
-$(serviceapt_DATA): $(serviceapt_in_files) Makefile
-	@sed -e "s|\@servicedir\@|$(libexecdir)|" -e "s|\@PK_BACKEND_USER\@|$(PK_BACKEND_USER)|" $< > $@
-
 localcachedir = $(localstatedir)/lib/PackageKit
 localcache_DATA =					\
 	job_count.dat					\
@@ -76,17 +56,11 @@ database_DATA =						\
 
 EXTRA_DIST =						\
 	95packagekit					\
-	packagekit-background				\
-	packagekit-background.cron			\
 	org.freedesktop.PackageKit.conf.in		\
-	org.freedesktop.PackageKitTestBackend.conf.in	\
-	org.freedesktop.PackageKitAptBackend.conf.in	\
 	packagekit-glib.pc.in				\
 	packagekit-qt.pc.in				\
 	20packagekit					\
 	$(servicemain_in_files)				\
-	$(servicetest_in_files)				\
-	$(serviceapt_in_files)				\
 	$(mime_in_files)				\
 	$(localcache_DATA)				\
 	$(database_DATA)				\
@@ -102,8 +76,6 @@ install-data-hook:
 DISTCLEANFILES =					\
 	$(mime_DATA)					\
 	org.freedesktop.PackageKit.service		\
-	org.freedesktop.PackageKitTestBackend.service	\
-	org.freedesktop.PackageKitAptBackend.service	\
 	$(NULL)
 
 MAINTAINERCLEANFILES =					\
Index: PackageKit-0.3.11/etc/PackageKit.conf.in
===================================================================
--- PackageKit-0.3.11.orig/etc/PackageKit.conf.in
+++ PackageKit-0.3.11/etc/PackageKit.conf.in
@@ -23,7 +23,7 @@ UseNetworkHeuristic=true
 # Shut down the daemon after this many seconds idle. 0 means don't shutdown.
 #
 # default=300
-ShutdownTimeout=300
+ShutdownTimeout=15
 
 # Unlock the backend after this many seconds idle.
 #
Index: PackageKit-0.3.11/etc/Vendor.conf
===================================================================
--- PackageKit-0.3.11.orig/etc/Vendor.conf
+++ PackageKit-0.3.11/etc/Vendor.conf
@@ -12,7 +12,7 @@
 # If the value is set to 'none' then no link is shown.
 #
 # default=http://www.packagekit.org/pk-package-not-found.html
-DefaultUrl=http://www.packagekit.org/pk-package-not-found.html
+DefaultUrl=none
 
 # The URL which is shown to the user when a codec could not be found.
 # It should explain why certain codecs cannot be used, and perhaps show
Index: PackageKit-0.3.11/configure.ac
===================================================================
--- PackageKit-0.3.11.orig/configure.ac
+++ PackageKit-0.3.11/configure.ac
@@ -18,8 +18,8 @@ DEVELOPMENT_RELEASE=no
 # REVISION	If the API and ABI remains the same, but bugs are fixed.
 # AGE		If libpackagekit can be linked into executables which can be
 # 		built with previous versions of this library. Don't use.
-LT_CURRENT=11
-LT_REVISION=2
+LT_CURRENT=10
+LT_REVISION=5
 LT_AGE=0
 AC_SUBST(LT_CURRENT)
 AC_SUBST(LT_REVISION)
@@ -165,7 +165,7 @@ AC_PATH_PROG([XSLTPROC], [xsltproc])
 dnl ---------------------------------------------------------------------------
 dnl - moc (for packagekit-qt)
 dnl ---------------------------------------------------------------------------
-AC_PATH_PROG([MOC], [moc-qt4])
+AC_PATH_PROG([MOC], [moc])
 
 dnl ---------------------------------------------------------------------------
 dnl - Is GIO available?
